/* .aside_filter */



.aside_filter_item {

    font-size: 14px;

}



.aside_filter_item input:hover {

    cursor: pointer;

}



.aside_filter_close {

    display: inline-block;

    padding-right: 15px;

    color: #323c3f;

}





/* /.aside_filter */





/* .view_sort */



.view_sort {

    padding: 15px;

    background: #f5f5f5;

    border-radius: 5px;

}



#sort_by {

    float: right;

    font-size: 12px;

    text-align: left;

}



.view_sort label {

    float: left;

    line-height: 38px;

    font-size: 14px;

    margin-right: 6px;

    margin-bottom: 0;

}



#sort_by ul {

    margin-bottom: 0px;

    padding-left: 0px;

}



#sort_by li {

    list-style: none;

    background: none repeat scroll 0 0 #fff;

    cursor: pointer;

    margin: 0 auto;

    outline: medium none;

    padding: 0 20px;

    position: relative;

    width: 200px;

    float: left;

    color: #333;

    border: 1px solid #ebebeb;

    font-size: 14px;

}



#sort_by>ul {

    margin: 0;

    padding: 0;

    list-style: none;

    display: inline;

    float: right;

}



#sort_by>ul>li {

    -webkit-appearance: none;

    -moz-appearance: none;

    appearance: none;

    background-position: right center;

    background-repeat: no-repeat;

    background-position: right 10px center;

    padding-right: 28px;

    text-indent: .01px;

    cursor: pointer;

    line-height: 36px;

    background-image: url('/themes/frontend/images/ico-selects.png');

}



#sort_by>ul>li:hover>ul {

    display: block;

}



#sort_by>ul>li>ul {

    position: absolute;

    left: -1px;

    top: 35px;

    background: none repeat scroll 0 0 #F8F8F8;

    z-index: 10000;

    border-top: none;

    border: 1px #F0F0F0 solid;

    display: none;

}



#sort_by>ul>li>ul>li {

    width: 100%;

    margin-top: 0px;

    border-top: none;

    border-right: none;

    border-left: none;

}



#sort_by>ul>li>ul>li>a {

    display: inline-block;

    width: 100%;

    line-height: 36px;

}





/* /.view_sort */



#product_categories {

    background: #e8e8e8;

}



.view a {

    display: inline-block;

}



.product_item.list .sale {

    right: 20px;

    top: 5px;

}



.product_item.list .product_name a {

    font-weight: bold;

}



.product_item.list .product_name {

    font-size: 16px;

    margin-top: 5px;

}



.product_item.list .btn_add_cart {

    position: unset;

    width: 40px;

    height: 40px;

    clip-path: unset;

}



.product_item.list .btn_add_cart .fa {

    position: unset;

    display: inline-block;

    padding: 12px 12px;

}



.product_item.list .product_name a {

    overflow: hidden;

    text-overflow: ellipsis;

    -webkit-line-clamp: 1;

    display: -webkit-box;

    -webkit-box-orient: vertical;

}



.product_item.list .product_des {

    padding-top: 5px;

}



.product_item.list .product_des p {

    overflow: hidden;

    text-overflow: ellipsis;

    -webkit-line-clamp: 2;

    display: -webkit-box;

    -webkit-box-orient: vertical;

}



@media (min-width: 1200px) {

    /* .aside_filter */

    .aside_filter {

        position: relative;

        background: #f5f5f5;

        padding: 0px 15px;

        margin-top: 15px;

        overflow: hidden;

    }

    .aside_filter::before {

        content: "";

        display: inline-block;

        background: #145a8d;

        position: absolute;

        width: 30px;

        height: 30px;

        right: -30px;

        top: 0px;

        transform: rotate(45deg) translateX(-20px);

    }

    /* /.aside_filter */

}



@media (max-width: 1199px) {

    /* .aside_filter */

    .aside_filter {

        position: fixed;

        width: 280px;

        height: 100%;

        right: -280px;

        top: 0px;

        transition: all .4s ease-out;

        -webkit-transition: all .4s ease-out;

        -moz-transform: all .4s ease-out;

        -o-transform: all .4s ease-out;

        z-index: 99999;

    }

    .aside_filter .aside_filter_btn {

        position: absolute;

        width: 40px;

        height: 40px;

        left: -40px;

        bottom: 240px;

        background: #145a8d;

        text-align: center;

        color: white;

        z-index: 99999;

    }

    .aside_filter .aside_filter_btn:hover {

        cursor: pointer;

    }

    .aside_filter .aside_filter_btn .fa {

        display: inline-block;

        padding: 12px 14px;

    }

    .aside_filter .aside_filter_content {

        position: absolute;

        width: 280px;

        height: 100%;

        left: 0px;

        top: 0px;

        padding: 0px 15px;

        background: white;

        z-index: 99999;

    }

    /* /.aside_filter */

}



@media (min-width: 992px) and (max-width: 1199px) {}



@media (min-width: 768px) and (max-width: 991px) {}



@media (max-width: 767px) {

    #sort_by {

        float: unset;

    }

    .product_item.list .product_name {

        margin-top: 10px;

    }

    .product_item.list .btn_add_cart {

        position: absolute;

        width: 50px;

        height: 50px;

        bottom: -5px;

        right: 10px;

        clip-path: polygon(50% 50%, 100% 0%, 100% 100%, 0% 100%);

    }

    .product_item.list .btn_add_cart .fa {

        position: absolute;

        bottom: -5px;

        right: -5px;

    }

}